
# 節点補正重量の物件間のコピー

節点補正重量について物件Aで入力した内容を物件Bにコピーし、新しい物件データとして生成します。反映する内容は入力項目[8.2.節点補正重量]で登録された荷重と配置データがある場合はその内容も反映します。

## 本プログラムの説明

入力画面より、反映元データ、反映先データ、生成する物件名を指定します。
それぞれの物件データの入力状態をcsv出力して反映先データの入力csvに反映元データの節点補正重量の指定を反映し、新しく物件を生成します。

## 本プログラムの実行方法

input_window.pyにメイン関数があります。

```cmd
cd src
python input_window.py
```

このファイルを実行すると入力画面が起動します。
反映元データ、反映先データ、生成する物件名を指定し、実行ボタンを押すと新しく物件が同階層に生成されます。

![ウィンドウ](docs/image/ウィンドウ.png)

## 注意事項

反映される入力データは保存時の入力状態となります。
本プログラムは『SS7』Ver.1.1.1.19で動作確認を行いました。

## 『Op.Python実行』の設定手順

Ss7Pythonライブラリを使用するための設定手順です。

1. 『SS7』を起動し，[ツール－環境設定－Op.Python実行]画面を表示します。
2. “利用可能なPython言語のバージョン”を選択し，[デスクトップへコピー]ボタンをクリックします。
3. デスクトップにある「Python」フォルダごと，「src」フォルダにコピーします。

## 必要な外部ライブラリ

本プログラムは標準ライブラリのみ使用していますので追加で必要な外部ライブラリはありません。

## 著作者

Copyright (C) 2024 UNION SYSTEM Inc.

## ライセンス

本プログラムは MIT License に基づいています。「LICENSE」を確認してください。
